#ifndef MENU_H
#define MENU_H

#include <allegro.h>
#include <string>

#include "GameState.h"

class Menu : public GameState
{
private:
	std::string tickerMsg;
	int tickerSpeed;
	int tickerPos, tickerLen;
	int curChoice;
	static const int numChoices;
	static const std::string choices[];

public:
	Menu();
	~Menu();

	GameState *RunLogic();
	void Draw(BITMAP *dest);
};

#endif
