#include "Object.h"
#include "Script.h"

using namespace std;

Object::~Object()
{
}

bool Object::FireEvent(const std::string& name)
{
	for(std::vector<Event>::iterator i = events.begin(); i != events.end(); i++)
	{
		if(i->name == name)
		{
			i->data.Reset();
			i->running = true;
			return true;
		}
	}
	return false;
}

void Object::DrawScripts(BITMAP* dest)
{
	for(vector<Event>::iterator i = events.begin(); i != events.end(); i++)
	{
		if(i->running && i->data.plane)
		{
			masked_blit(i->data.plane, dest, 0, 0, 0, 0, i->data.plane->w, i->data.plane->h);
		}
	}
}
