#include <allegro.h>

#include "Constants.h"
#include "Timer.h"

Timer::Timer() { }
Timer::~Timer() { } // these should never be called

int Timer::ticks;

void Timer::TimerF()
{
	++ticks;
}

void Timer::InstallTimer()
{
	static bool installed = false;

	if(installed)
		return;

	ticks = 0;

	if(install_int_ex(Timer::TimerF, BPS_TO_TIMER(LOGIC_RATE)) == 0)
		installed = true;
}
