#ifdef DEFINE_OPCODES
#define OPCODE(code) &ScriptData::code,
ScriptData::Opcode ScriptData::opcodes[] = {
#else
namespace Opcodes
{
enum Opcode {
#define OPCODE(code) code,
#endif

OPCODE(VoidConstant)
OPCODE(IntegerConstant)
OPCODE(StringConstant)
OPCODE(SetContext)
OPCODE(Jump)
OPCODE(JumpZero)
OPCODE(Rest)
OPCODE(Color)
OPCODE(Clear)
OPCODE(ClearPrint)
OPCODE(PrintCenter)
OPCODE(Print)
OPCODE(SetGameVariable)
OPCODE(GetGameVariable)
OPCODE(SetSceneVariable)
OPCODE(GetSceneVariable)
OPCODE(Destroy)
OPCODE(Hide)
OPCODE(Load)
	
#ifdef DEFINE_OPCODES
};
#undef OPCODE
#else
};
}
#undef OPCODE
#endif
